Loading...
Searching...
No Matches
matrix3x3.h File Reference
`#include <ostream>`
`#include <openbabel/math/vector3.h>`
`#include <openbabel/oberror.h>`
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | matrix3x3

## Namespaces

namespace | OpenBabel

## Macros

#define | RAD_TO_DEG (180.0/M_PI)
#define | DEG_TO_RAD (M_PI/180.0)

## Functions

vector3 | center_coords (double *, int)

## Detailed Description

Handle 3D Rotation matrix.

## Macro Definition Documentation

## RAD_TO_DEG

#define RAD_TO_DEG (180.0/M_PI)

Referenced by OpenBabel::CalcTorsionAngle(), OBBuilder::Connect(), OBBuilder::GetNewBondVector(), OBMol::SetTorsion(), OBRotamerList::Setup(), OBForceField::VectorAngle(), OpenBabel::vectorAngle(), OBForceField::VectorAngleDerivative(), OBForceField::VectorAngleDerivative(), OBForceField::VectorOOP(), OBForceField::VectorOOPDerivative(), OBForceField::VectorOOPDerivative(), OBForceField::VectorTorsion(), OBForceField::VectorTorsionDerivative(), and OBForceField::VectorTorsionDerivative().

## DEG_TO_RAD

#define DEG_TO_RAD (M_PI/180.0)

Referenced by OBBuilder::Connect(), OBBuilder::CorrectStereoBonds(), OBForceField::DistanceGeometry(), matrix3x3::FillOrth(), OBFFConstraints::GetConstraintEnergy(), OBBuilder::GetNewBondVector(), OBRotorRules::GetRotorIncrements(), OpenBabel::InternalToCartesian(), OBRotorRules::ParseLine(), matrix3x3::RotAboutAxisByAngle(), OpenBabel::SetRotorToAngle(), matrix3x3::SetupRotMat(), and OBForceField::VectorTorsionDerivative().